## xen-tools 4.6

=== Makefile ===
#
#  Utility makefile for people working with xen-tools.
#
#  The targets are intended to be useful for people who are using
# the source repository - but it also contains other useful targets.
#
# Steve
# --
# http://www.steve.org.uk/
#

#
#  Only used to build distribution tarballs.
#
TMPDIR     ?= /tmp
DIST_PREFIX = ${TMPDIR}
VERSION     = 4.6
DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
BASE        = xen-tools
VCS         = git

#
#  Installation prefix, useful for the Debian package.
#
DESTDIR=
prefix=${DESTDIR}


nop:
	@echo "Valid targets are (alphabetically) :"
	@echo " "
	@echo " clean         = Remove bogus files."
	@echo " commit        = Commit changes, after running check."
	@echo " diff          = See local changes."
	@echo " install       = Install the software"
	@echo " manpages      = Make manpages beneath man/"
	@echo " tarball       = Make a release tarball"
	@echo " orig-tar-gz   = Make a tarball suitably named for Debian"
	@echo " release       = Make a release tarball and sign it"
	@echo " uninstall     = Remove the software"
	@echo " update        = Update from the source repository."
	@echo " "


#
#  Extract the revision history and make a ChangeLog file
# with those details.
#
changelog:
	$(VCS) log -v > ChangeLog


#
#  Delete all temporary files, recursively.
#
clean:
	@find . \
		-path ./.git -prune -o \
		\( \
			-name '*~' -o \
			-name '.#*' -o \
			-name '*.bak' -o \
			-name '*.tmp' -o \
			-name 'tags' -o \
			-name '*.8.gz' -o \
			-name '*.tdy' \
		\) -exec rm "{}" +
	@if [ -d man ]; then rm -rf man ; fi
	@if [ -e build-stamp ]; then rm -f build-stamp ; fi
	@if [ -e configure-stamp ]; then rm -f configure-stamp ; fi
	@if [ -d debian/xen-tools ]; then rm -rf ./debian/xen-tools; fi
	@if [ -d cover_db ]; then rm -rf ./cover_db; fi
	@if [ -e $(BASE)-$(VERSION).tar.gz ]; then rm $(BASE)-$(VERSION).tar.gz ; fi
	@if [ -e $(BASE)-$(VERSION).tar.gz.asc ]; then rm $(BASE)-$(VERSION).tar.gz.asc ; fi
	cd t; $(MAKE) clean


#
#  If the testsuite runs correctly then commit any pending changes.
#
commit: test
	$(VCS) commit


#
#  Show what has been changed in the local copy vs. the remote repository.
#
diff:
	$(VCS) diff 2>/dev/null


#
#  Fix hooks and configuration files permissions
#
fixup-perms:
	for i in hooks/*/*-*; do chmod 755 $$i; done
	chmod 755 hooks/common.sh
	chmod 644 etc/*.conf
	chmod 644 etc/xm.tmpl
	chmod 644 etc/xm-nfs.tmpl
	chmod 644 misc/*

#
#  Install files to /etc/
#
install-etc:
	-mkdir -p ${prefix}/etc/xen-tools
	-if [ -d ${prefix}/etc/xen-tools/hook.d ]; then mv ${prefix}/etc/xen-tools/hook.d/  ${prefix}/etc/xen-tools/hook.d.obsolete ; fi
	-mkdir -p ${prefix}/etc/xen-tools/skel/
	-mkdir -p ${prefix}/etc/xen-tools/role.d/
	-mkdir -p ${prefix}/etc/xen-tools/partitions.d/
	cp etc/*.conf         ${prefix}/etc/xen-tools/
	cp etc/xm.tmpl        ${prefix}/etc/xen-tools/
	cp etc/xm-nfs.tmpl    ${prefix}/etc/xen-tools/
	cp partitions/*-*     ${prefix}/etc/xen-tools/partitions.d/
	-mkdir -p                         ${prefix}/usr/share/bash-completion/completions/
	cp misc/xen-tools.bash-completion ${prefix}/usr/share/bash-completion/completions/xen-tools
	-mkdir -p                         ${prefix}/etc/initramfs-tools/conf.d/
	cp misc/xen-tools.initramfs-tools ${prefix}/etc/initramfs-tools/conf.d/xen-tools


#
#  Install binary files.
#
install-bin:
	mkdir -p ${prefix}/usr/bin
	cp bin/xen-create-image     ${prefix}/usr/bin
	cp bin/xen-create-nfs       ${prefix}/usr/bin
	cp bin/xt-customize-image   ${prefix}/usr/bin
	cp bin/xt-install-image     ${prefix}/usr/bin
	cp bin/xt-create-xen-config ${prefix}/usr/bin
	cp bin/xen-delete-image     ${prefix}/usr/bin
	cp bin/xen-list-images      ${prefix}/usr/bin
	cp bin/xen-update-image     ${prefix}/usr/bin
	cp bin/xt-guess-suite-and-mirror ${prefix}/usr/bin
	chmod 755 ${prefix}/usr/bin/xen-create-image
	chmod 755 ${prefix}/usr/bin/xen-create-nfs
	chmod 755 ${prefix}/usr/bin/xt-customize-image
	chmod 755 ${prefix}/usr/bin/xt-install-image
	chmod 755 ${prefix}/usr/bin/xt-create-xen-config
	chmod 755 ${prefix}/usr/bin/xen-delete-image
	chmod 755 ${prefix}/usr/bin/xen-list-images
	chmod 755 ${prefix}/usr/bin/xen-update-image
	chmod 755 ${prefix}/usr/bin/xt-guess-suite-and-mirror



#
#  Install hooks
#
install-hooks:
	for i in roles/* ; do if [ -f $$i ]; then cp $$i ${prefix}/etc/xen-tools/role.d; fi ; done
	for i in ${prefix}/usr/share/xen-tools/*.d; do if [ -L "$$i" ]; then rm -vf "$$i"; fi; done
	mkdir -p ${prefix}/usr/share/xen-tools/centos-4.d/
	mkdir -p ${prefix}/usr/share/xen-tools/centos-5.d/
	mkdir -p ${prefix}/usr/share/xen-tools/centos-6.d/
	mkdir -p ${prefix}/usr/share/xen-tools/fedora-core-6.d/
	cp -R hooks/centos-4/*-* ${prefix}/usr/share/xen-tools/centos-4.d
	cp -R hooks/centos-5/*-* ${prefix}/usr/share/xen-tools/centos-5.d
	cp -R hooks/centos-6/*-* ${prefix}/usr/share/xen-tools/centos-6.d
	cp -R hooks/fedora-core-6/*-* ${prefix}/usr/share/xen-tools/fedora-core-6.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-4.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-5.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-7.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-8.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-9.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-10.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-11.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-12.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-13.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-14.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-15.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-16.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s fedora-core-6.d fedora-core-17.d
	mkdir -p ${prefix}/usr/share/xen-tools/debian.d/
	cp -R hooks/debian/*-* ${prefix}/usr/share/xen-tools/debian.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d sarge.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d etch.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d lenny.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d squeeze.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d wheezy.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d jessie.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d stretch.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d sid.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d unstable.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d testing.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d stable.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d oldstable.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d oldoldstable.d
	mkdir -p ${prefix}/usr/share/xen-tools/gentoo.d/
	cp -R hooks/gentoo/*-* ${prefix}/usr/share/xen-tools/gentoo.d
	mkdir -p ${prefix}/usr/share/xen-tools/dapper.d/
	cp -R hooks/dapper/*-* ${prefix}/usr/share/xen-tools/dapper.d/
	mkdir -p ${prefix}/usr/share/xen-tools/edgy.d/
	cp -R hooks/edgy/*-* ${prefix}/usr/share/xen-tools/edgy.d/
	-cd ${prefix}/usr/share/xen-tools/ && ln -s edgy.d feisty.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s edgy.d gutsy.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s edgy.d hardy.d
	mkdir -p ${prefix}/usr/share/xen-tools/intrepid.d/
	cp -R hooks/intrepid/*-* ${prefix}/usr/share/xen-tools/intrepid.d/
	-cd ${prefix}/usr/share/xen-tools/ && ln -s intrepid.d jaunty.d
	mkdir -p ${prefix}/usr/share/xen-tools/karmic.d/
	cp -R hooks/karmic/*-* ${prefix}/usr/share/xen-tools/karmic.d/
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d lucid.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d maverick.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d natty.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d oneiric.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d precise.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d quantal.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d raring.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d saucy.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d trusty.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d utopic.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d vivid.d
	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d wily.d
	cp hooks/common.sh ${prefix}/usr/share/xen-tools
	cp -r hooks/common ${prefix}/usr/share/xen-tools


#
#  Install our library files
#
install-libraries:
	-mkdir -p ${prefix}/usr/share/perl5/Xen/Tools
	cp ./lib/Xen/Tools/*.pm ${prefix}/usr/share/perl5/Xen/Tools

#
#  Generate and install manpages.
#
install-manpages: manpages
	-mkdir -p ${prefix}/usr/share/man/man8/
	cp man/*.8.gz ${prefix}/usr/share/man/man8/


#
#  Install everything.
#
install: fixup-perms install-bin install-etc install-hooks install-libraries install-manpages


#
#  Build our manpages via the `pod2man` command.
#
manpages:
	-mkdir -p man
	cd bin; for i in *-*[!y]; do pod2man --release=${VERSION} --official --section=8 $$i ../man/$$i.8; done
	for i in man/*.8; do gzip --force -9 $$i; done


#
#  Make a new release tarball, and make a GPG signature.
#
release: orig-tar-gz
	gpg --armour --detach-sign ../$(BASE)-$(VERSION).tar.gz
	git tag -s -m "Release as $(VERSION)" "release-$(VERSION)"

tarball: test tidy fixup-perms update-version update-modules clean changelog
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/cover_db
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/.git*
	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
	gzip -9nv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz ..
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)

#
#  Make a new orig.tar.gz for the Debian package
#
orig-tar-gz: tarball
	cp -p ../$(BASE)-$(VERSION).tar.gz ../$(BASE)_$(DEBVERSION).orig.tar.gz


#
#  Run the test suite.
#
test: non-author-test author-test

non-author-test: update-modules
	prove --shuffle t/

author-test:
	prove xt/


#
#  Run our main script(s) through perltidy
#
tidy:
	if [ -x /usr/bin/perltidy ]; then \
	for i in bin/*-*[^~]; do \
		echo "tidying $$i"; \
		perltidy  $$i \
	; done \
	; fi

#
#  Uninstall the software, completely.
#
uninstall:
	rm -f ${prefix}/usr/bin/xen-create-image
	rm -f ${prefix}/usr/bin/xen-delete-image
	rm -f ${prefix}/usr/bin/xen-list-images
	rm -f ${prefix}/usr/bin/xen-update-image
	rm -f ${prefix}/usr/bin/xt-customize-image
	rm -f ${prefix}/usr/bin/xt-install-image
	rm -f ${prefix}/usr/bin/xt-create-xen-config
	rm -f ${prefix}/usr/bin/xen-create-nfs
	rm -f ${prefix}/usr/bin/xt-guess-suite-and-mirror
	rm -f ${prefix}/etc/xen-tools/xen-tools.conf
	rm -f ${prefix}/etc/xen-tools/distributions.conf
	rm -f ${prefix}/etc/xen-tools/mirrors.conf
	rm -f ${prefix}/etc/xen-tools/xm.tmpl
	-rm -rf ${prefix}/etc/xen-tools/skel
	-rmdir ${prefix}/etc/xen-tools/
	-rm -f ${prefix}/etc/bash_completion.d/xen-tools
	# Maybe needed to remove older releases of xen-tools
	rm -rf ${prefix}/usr/lib/xen-tools
	rm -rf ${prefix}/usr/share/xen-tools
	rm -f ${prefix}/usr/share/man/man8/xen-create-image.8.gz
	rm -f ${prefix}/usr/share/man/man8/xen-delete-image.8.gz
	rm -f ${prefix}/usr/share/man/man8/xen-list-images.8.gz
	rm -f ${prefix}/usr/share/man/man8/xen-update-image.8.gz


#
#  Update the local copy from the remote repository.
#
#  NOTE: Removes empty local directories.
#
update:
	$(VCS) pull --update 2>/dev/null


#
#  Update the module test - this is designed to automatically write test
# cases to ensure that all required modules are available.
#
update-modules:
	@cd t && make modules


#

=== debian/changelog ===
xen-tools (4.6-1) unstable; urgency=low

  * New upstream release
    + Fix usage of nonexistent variable in removeDebianPackage (Closes:
      #774936) Thanks Lukas Schwaighofer!
    + Change all occurrences of http.debian.net to httpredir.debian.org
    + Ubuntu 12.04 Lucid Lynx and 14.10 Utopic Unicorn now EoL.
    + Preliminary support for Debian 9 Stretch and Ubuntu 15.10 Wily
      Werewolf.
    + Installs bash completion into /usr/share/bash-completion/ (fixes
      lintian warning package-install-into-obsolete-dir)
    + Allows # within configuration file comments. (Closes: #783060;
      thanks Jean-Michel Nirgal Vourgère for the bug report and patch!)
    + Testsuite: Let modules.sh ignore the .git directory. (t/modules.t
      failed if a git commit message had a line starting with "use ".)
    + Testsuite: Optimize and clean up modules.sh.
    + Drop all occurrences of apt's --force-yes parameter. It only forces
      the installation of untrusted packages and that's unwanted. (Closes:
      #776487)
    + Support passing commandline options with --debootstrap-cmd.
    + Use -o APT::Install-Recommends=false instead of
      --no-install-recommends for backwards compatibility with older APT
      versions which don't know either (but accept any Foo=Bar parameter
      to "-o"). Allows one to install earlier Debian releases (e.g. Etch)
      with the default configuration again.
    + Use md5 as default hash method again, to be able to properly set
      passwords in older releases. Does not affect passwords changed later
      inside the DomU.
    + Split off hardcoded release code names list and default mirrors in
      xen-create-image into separate configuration file which are parsed
      before the default settings or command-line options are set.
    + Pass --yes to lvcreate only if LVM version is 2.02.99 or
      higher. Fixes regression introduced with 4.5 by the fix for #754517.
      - Add new (build-)dependency on libsort-versions-perl.
    + Report all SSH fingerprints of the created DomU, not only RSA ones.
    + Split up test suite in functionality/compatibility tests (t) and
      author/release tests (xt).
    + Make test suite support as-installed-testing
      - Mark package as autopkgtestable.
    + Multiple release workflow improvements (target release in Makefile):
      - Use TMPDIR instead of TMP for temporary directories.
      - Always run the full test suite before doing a release.
      - Use maximum compression and don't store time stamps in tar ball.
      - Make "release" target to include "orig-tar-gz" and tagging.
    + New option --keyring which is passed through to deboootstrap. Its
      default values work around bug #792729 in debootstrap.
    + Supports "unstable", "oldstable" and "oldoldstable" as distribution
      names, too. ("oldoldstable" is not yet supported by debootstrap, see
      feature request #792734 in debootstrap.)
    + New example script helpful for release testing.
    + Support VLANs with Open vSwitch (GH-2). Thanks to Félix Barbeira
      for the patch.
  * Update Vcs-* headers and documentation as Gitorious closed its doors
    in June 2015 and is now only available with static contents.
  * Recommend debian-archive-keyring (for installing Debian DomUs on
    derivatives) and ubuntu-archive-keyring (for installing Ubuntu DomUs
    on Debian).
  * Reduce the list of alternative xen-hypervisor-* packages to just
    "xen-hypervisor" which is a virtual package provided by at least all
    xen-hypervisor-* packages since Debian 6 Squeeze.
  * Recommend lvm2, it's at least required if the --lvm option is used.
  * Add an adequate as-installed test to debian/tests/control.

 -- Axel Beckert <abe@debian.org>  Mon, 20 Jul 2015 16:05:04 +0200

=== debian/control ===
Source: xen-tools
Section: utils
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~),
               devscripts,
               git,
               libdata-validate-domain-perl,
               libdata-validate-ip-perl,
               libdata-validate-uri-perl,
               libfile-slurp-perl,
               libfile-which-perl,
               liblog-message-perl | perl (<< 5.17.0),
               libterm-ui-perl | perl (<< 5.17.0),
               libsort-versions-perl,
               libtest-notabs-perl,
               libtest-pod-coverage-perl,
               libtest-pod-perl,
               libtext-template-perl
Standards-Version: 3.9.6
Homepage: http://xen-tools.org/software/xen-tools
Vcs-Browser: https://gitlab.com/xen-tools/xen-tools
Vcs-Git: https://gitlab.com/xen-tools/xen-tools.git
Testsuite: autopkgtest

Package: xen-tools
Architecture: all
Depends: debootstrap | cdebootstrap,
         libconfig-inifiles-perl,
         libdata-validate-domain-perl,
         libdata-validate-ip-perl,
         libdata-validate-uri-perl,
         libfile-slurp-perl,
         libfile-which-perl,
         libsort-versions-perl,
         libterm-ui-perl | perl (<< 5.17.0),
         libtext-template-perl,
         openssh-client,
         perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: debian-archive-keyring,
            libexpect-perl,
            lvm2,
            rinse (>= 1.9.1-1),
            ubuntu-archive-keyring,
            xen-hypervisor,
            xen-utils
Suggests: btrfs-tools,
          cfengine2,
          reiserfsprogs,
          xfsprogs
Description: Tools to manage Xen virtual servers
 This package contains tools to manage Debian based Xen virtual servers.
 .
 Using the scripts you can easily create fully configured Xen guest
 domains (DomU) which can be listed, updated, or copied easily.
 .
 xen-tools currently can install:
 .
   * Debian 3.1 Sarge (i386 only)
   * Debian 4.0 Etch
   * Debian 5.0 Lenny
   * Debian 6.0 Squeeze
   * Debian 7 Wheezy
   * Debian 8 Jessie
   * Debian 9 Stretch (under development)
   * Debian Sid (Unstable)
   * Ubuntu 6.06 Dapper Drake (LTS)
   * Ubuntu 6.10 Edgy Eft
   * Ubuntu 7.04 Feisty Fawn
   * Ubuntu 7.10 Gutsy Gibbon
   * Ubuntu 8.04 Hardy Heron (LTS)
   * Ubuntu 8.10 Intrepid Ibex
   * Ubuntu 9.04 Jaunty Jackaplope
   * Ubuntu 9.10 Karmic Koala
   * Ubuntu 10.04 Lucid Lynx (LTS)
   * Ubuntu 10.10 Maverick Meerkat
   * Ubuntu 11.04 Natty Narwhal
   * Ubuntu 11.10 Oneiric Ocelot
   * Ubuntu 12.04 Precise Pangolin (LTS)
   * Ubuntu 12.10 Quantal Quetzal
   * Ubuntu 13.04 Raring Ringtail
   * Ubuntu 13.10 Saucy Salamander
   * Ubuntu 14.04 Trusty Tahr (LTS)
   * Ubuntu 14.10 Utopic Unicorn
   * Ubuntu 15.04 Vivid Vervet
   * Ubuntu 15.10 Wily Werewolf (under development)
   * CentOS 5
   * CentOS 6

## xen-tools 4.6.1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMPDIR     ?= /tmp
 DIST_PREFIX = ${TMPDIR}
-VERSION     = 4.6
+VERSION     = 4.6.1
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git
@@ -213,6 +213,7 @@
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d utopic.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d vivid.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d wily.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d xenial.d
 	cp hooks/common.sh ${prefix}/usr/share/xen-tools
 	cp -r hooks/common ${prefix}/usr/share/xen-tools
 
@@ -339,7 +340,3 @@
 # cases to ensure that all required modules are available.
 #
 update-modules:
-	@cd t && make modules
-
-
-#

=== debian/changelog ===
xen-tools (4.6.1-1ubuntu1) xenial; urgency=medium

  * Escape braces in regex to avoid a warning on stderr from Perl 5.22,
    which breaks the autopkgtest.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Dec 2015 14:11:40 +0000

xen-tools (4.6.1-1) unstable; urgency=medium

  * New upstream bugfix release
    + Declare GitHub as primary hosting.
    + Integrate BUGS.markdown into README.markdown, move remaining
      contents of KNOWN_BUGS.markdown to the GitHub issue tracker.
    + Fix Perl warning in t/hook-inittab.t if /etc/inittab isn't present.
      - Fixes failed autopkgtest.
    + Preliminary support for Ubuntu 16.04 LTS Xenial Xerus.
    + Neither use $#array in boolean context nor @array = undef anymore.
  * Update Vcs-* headers to point to GitHub instead of GitLab.
  * Add debian/maintscript to remove obsolete conffile
    /etc/bash_completion.d/xen-tools properly.
  * Fix typo in previous changelog entry.

 -- Axel Beckert <abe@debian.org>  Sat, 24 Oct 2015 01:13:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xen-tools
 Section: utils
 Priority: extra
-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 9~),
                devscripts,
                git,
@@ -19,8 +20,8 @@
                libtext-template-perl
 Standards-Version: 3.9.6
 Homepage: http://xen-tools.org/software/xen-tools
-Vcs-Browser: https://gitlab.com/xen-tools/xen-tools
-Vcs-Git: https://gitlab.com/xen-tools/xen-tools.git
+Vcs-Browser: https://github.com/xen-tools/xen-tools
+Vcs-Git: git://github.com/xen-tools/xen-tools.git
 Testsuite: autopkgtest
 
 Package: xen-tools
@@ -85,6 +86,7 @@
    * Ubuntu 14.04 Trusty Tahr (LTS)
    * Ubuntu 14.10 Utopic Unicorn
    * Ubuntu 15.04 Vivid Vervet
-   * Ubuntu 15.10 Wily Werewolf (under development)
+   * Ubuntu 15.10 Wily Werewolf
+   * Ubuntu 16.04 Xenial Xerus (preliminary support, under development)
    * CentOS 5
    * CentOS 6

## xen-tools 4.6.2

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMPDIR     ?= /tmp
 DIST_PREFIX = ${TMPDIR}
-VERSION     = 4.6.1
+VERSION     = 4.6.2
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git

=== debian/changelog ===
xen-tools (4.6.2-1) unstable; urgency=medium

  * New upstream bugfix release

    [ Pierre Olivier ]
    + Added /usr/local/bin/pygrub to the end of the pygrub search path.

    [ nirgal ]
    + Fixed typo in initramfs comment

    [ Axel Beckert ]
    + Make t/hooks-inittab.t using its own copy of the generic /etc/inittab
      for testing instead of using the system one's. (GH#36, should fix
      autopkgtest on systems with modified /etc/inittab)
    + Fix unescaped braces (deprecated with Perl 5.22) in t/plugin-checks.t.

  * Support checking upstream GPG signature in debian/watch.

 -- Axel Beckert <abe@debian.org>  Wed, 23 Dec 2015 18:05:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xen-tools
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 9~),
                devscripts,
                git,

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
	make non-author-test

override_dh_auto_build:

=== debian/watch ===
#
#  Watchfile for xen-tools.
#
#
#  uscan version number - not the version of the software.
#
version=3


#
#  The link to the download location, followed by the regular expression
# to match release tarballs.
#
opts=pgpsigurlmangle=s/$/.asc/ \
http://xen-tools.org/software/xen-tools/releases.html \
   xen-tools-([\d\.]+)\.tar\.gz

## xen-tools 4.7

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Steve
 # --
-# http://www.steve.org.uk/
+# https://steve.fi/
 #
 
 #
@@ -14,7 +14,7 @@
 #
 TMPDIR     ?= /tmp
 DIST_PREFIX = ${TMPDIR}
-VERSION     = 4.6.2
+VERSION     = 4.7
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git
@@ -181,6 +181,8 @@
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d wheezy.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d jessie.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d stretch.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d buster.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d bullseye.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d sid.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d unstable.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d testing.d
@@ -214,6 +216,9 @@
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d vivid.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d wily.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d xenial.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d yakkety.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d zesty.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d devel.d
 	cp hooks/common.sh ${prefix}/usr/share/xen-tools
 	cp -r hooks/common ${prefix}/usr/share/xen-tools
 
@@ -327,16 +332,3 @@
 
 
 #
-#  Update the local copy from the remote repository.
-#
-#  NOTE: Removes empty local directories.
-#
-update:
-	$(VCS) pull --update 2>/dev/null
-
-
-#
-#  Update the module test - this is designed to automatically write test
-# cases to ensure that all required modules are available.
-#
-update-modules:

=== debian/changelog ===
xen-tools (4.7-1) unstable; urgency=medium

  * New upstream release
    + release-testing: Several enhancements, race condition avoidance, …
    + Fixes reported error code in case of subcommand failure (Reported
      and fixed by Yuri Sakhno, thanks!)
    + Fixes typo found by lintian.
    + Support for Ubuntu 16.10 Yakkety Yak.
    + Preliminary support for Ubuntu 17.04 Zesty Zapus.
    + Knows future Debian release names Buster (10) and Bullseye (11).
    + Knows about Ubuntu's "devel" alias.
    + Risen default values for RAM sizes in /etc/xen-tools/xen-tools.cfg
      to cope with risen resource consumption and availability.
      (Closes: #776487)
    + Default file system is now ext4 (instead of ext3).
    + Fixes inconsistent/non-functional handling of --nopygrub
      parameter. Thanks Daniel Reichelt for the bug report and patch!
      (Closes: #842609)
    + Fixes possible missing gateway in generated
      /etc/network/interfaces. (Closes: #764625)
    + Support situations where distributions (e.g. Squeeze) might be EoL,
      but its archive signing key is still not removed from the default
      keyring.
    + Workaround LVM related race condition when using --force with LVM.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Use NEWS.markdown as upstream changelog, don't install it as docs.
  * Switch many URLs (upstream and in packaging) to https:// and update
    URLs where they were broken or redirect somewhere else now.
  * Fix some typos in older debian/changelog and debian/NEWS items.

 -- Axel Beckert <abe@debian.org>  Mon, 23 Jan 2017 00:39:11 +0100

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
                libtest-pod-coverage-perl,
                libtest-pod-perl,
                libtext-template-perl
-Standards-Version: 3.9.6
-Homepage: http://xen-tools.org/software/xen-tools
+Standards-Version: 3.9.8
+Homepage: https://xen-tools.org/software/xen-tools
 Vcs-Browser: https://github.com/xen-tools/xen-tools
-Vcs-Git: git://github.com/xen-tools/xen-tools.git
+Vcs-Git: https://github.com/xen-tools/xen-tools.git
 Testsuite: autopkgtest
 
 Package: xen-tools
@@ -65,6 +65,8 @@
    * Debian 7 Wheezy
    * Debian 8 Jessie
    * Debian 9 Stretch (under development)
+   * Debian 10 Buster (future release name)
+   * Debian 11 Bullseye (future release name)
    * Debian Sid (Unstable)
    * Ubuntu 6.06 Dapper Drake (LTS)
    * Ubuntu 6.10 Edgy Eft
@@ -86,6 +88,8 @@
    * Ubuntu 14.10 Utopic Unicorn
    * Ubuntu 15.04 Vivid Vervet
    * Ubuntu 15.10 Wily Werewolf
-   * Ubuntu 16.04 Xenial Xerus (preliminary support, under development)
+   * Ubuntu 16.04 Xenial Xerus (LTS)
+   * Ubuntu 16.10 Yakkety Yak
+   * Ubuntu 17.04 Zesty Zapus (preliminary support, under development)
    * CentOS 5
    * CentOS 6

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,7 @@
 override_dh_auto_test:
 	make non-author-test
 
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS.markdown
+
 override_dh_auto_build:

## xen-tools 4.8

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMPDIR     ?= /tmp
 DIST_PREFIX = ${TMPDIR}
-VERSION     = 4.7
+VERSION     = 4.8
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git
@@ -183,6 +183,7 @@
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d stretch.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d buster.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d bullseye.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d bookworm.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d sid.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d unstable.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d testing.d
@@ -218,7 +219,12 @@
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d xenial.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d yakkety.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d zesty.d
-	-cd ${prefix}/usr/share/xen-tools/ && ln -s karmic.d devel.d
+	mkdir -p ${prefix}/usr/share/xen-tools/artful.d/
+	cp -R hooks/artful/*-* ${prefix}/usr/share/xen-tools/artful.d/
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d bionic.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d cosmic.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d disco.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d devel.d
 	cp hooks/common.sh ${prefix}/usr/share/xen-tools
 	cp -r hooks/common ${prefix}/usr/share/xen-tools
 
@@ -321,14 +327,3 @@
 	rm -f ${prefix}/etc/xen-tools/xm.tmpl
 	-rm -rf ${prefix}/etc/xen-tools/skel
 	-rmdir ${prefix}/etc/xen-tools/
-	-rm -f ${prefix}/etc/bash_completion.d/xen-tools
-	# Maybe needed to remove older releases of xen-tools
-	rm -rf ${prefix}/usr/lib/xen-tools
-	rm -rf ${prefix}/usr/share/xen-tools
-	rm -f ${prefix}/usr/share/man/man8/xen-create-image.8.gz
-	rm -f ${prefix}/usr/share/man/man8/xen-delete-image.8.gz
-	rm -f ${prefix}/usr/share/man/man8/xen-list-images.8.gz
-	rm -f ${prefix}/usr/share/man/man8/xen-update-image.8.gz
-
-
-#

=== debian/changelog ===
xen-tools (4.8-1) unstable; urgency=medium

  * New upstream release.

    [ Marc Bigler ]
    + Add support for ZFS volumes. (GH #50)

    [ Yuri Sakhno ]
    + Eliminate progress reporting which is useless in logs. (GH #42)

    [ Axel Beckert ]
    + Add preliminary support for future Debian 12 Bookworm release.
    + Add support for Ubuntu releases from 17.10 Artful to 19.04 Disco.
      - Create hooks/artful with new 40-setup-networking-deb-netplan by
        Arno Bakker and Peter. (Fixes xen-tools/xen-tools#51)
      - Rename hooks/karmic/80-install-kernel to
        hooks/common/80-install-kernel-ubu and add according symlinks.
    + Change all occurrences of httpredir.debian.org to deb.debian.org
      except those for the debian-archive. The latter now point to
      archive.debian.org directly.
    + Set Ubuntu fallback suite to the latest LTS, i.e. 18.04 Bionic.
    + Drop pygrub path detection from xm.tmpl, Xen prefers a path-less
      bootloader='pygrub'.
    + Many improvements for the release-testing script.
    + Only run xen-toolstack helper script if both, xm and xl are
      present. Avoids warning about deprecated helper script.
    + distributions.conf now supports arbitrary keyring files in
      /usr/share/keyrings/. (Needed for some EoL Ubuntu releases.)

    [ Nico Boehr ]
    + Add support for LVM thin provisioning.

    [ Pietro Stäheli ]
    + Add support for option --randommac for really random MAC addresses
      upon every xen-create-image invocation. (Closes: #855703)

  [ Axel Beckert ]
  * Fix wrong bug number for #849867 in previous changelog entry.
  * Declare compliance with Debian Policy 4.1.3.
    + Change Priority from extra to optional.
  * Use "$(MAKE)" instead of "make" in debian/rules.
  * debian/control: Drop "Testsuite: autopkgtest" header, no more needed.
  * Switch "activate" trigger to "activate-noawait".
  * Recommend e2fsprogs. (Closes: #887236)
  * Prefer btrfs-progs over now transitional package btrfs-tools. (Closes:
    #878910)
  * Bump debhelper compatibility level to 10.
    + Update versioned debhelper build-dependency accordingly.
    + Only using dh compat level 10 allows one to still build the package
      on Debian 9 Stretch without backports, on Ubuntu 18.04 LTS and on
      Ubuntu 16.04 LTS with backports.
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Check $DEB_BUILD_OPTIONS and $DEB_BUILD_PROFILES in
    override_dh_auto_test. Fixes according lintian warning.
  * Use ubuntu-keyring instead of now transitional ubuntu-archive-keyring,
    but keep the latter as alternative to allow one to install the
    xen-tools package also on older Debian or Ubuntu releases.
  * Suggest grub-xen-host despite the proper support for it is not
    finished.
  * Add a note about "vsyscall=emulate" and older Linux distributions to
    debian/NEWS. Thanks to James Clarke and Jason Crain for the hint!
  * Add a DEP-12 debian/upstream/metadata file.

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace from debian/changelog. (GH #54)

 -- Axel Beckert <abe@debian.org>  Sat, 09 Feb 2019 01:56:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: xen-tools
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10~),
                devscripts,
                git,
                libdata-validate-domain-perl,
@@ -17,11 +17,11 @@
                libtest-pod-coverage-perl,
                libtest-pod-perl,
                libtext-template-perl
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: https://xen-tools.org/software/xen-tools
 Vcs-Browser: https://github.com/xen-tools/xen-tools
 Vcs-Git: https://github.com/xen-tools/xen-tools.git
-Testsuite: autopkgtest
+Rules-Requires-Root: no
 
 Package: xen-tools
 Architecture: all
@@ -40,14 +40,16 @@
          ${misc:Depends},
          ${perl:Depends}
 Recommends: debian-archive-keyring,
+            e2fsprogs,
             libexpect-perl,
             lvm2,
             rinse (>= 1.9.1-1),
-            ubuntu-archive-keyring,
+            ubuntu-keyring | ubuntu-archive-keyring,
             xen-hypervisor,
             xen-utils
-Suggests: btrfs-tools,
+Suggests: btrfs-progs | btrfs-tools,
           cfengine2,
+          grub-xen-host,
           reiserfsprogs,
           xfsprogs
 Description: Tools to manage Xen virtual servers
@@ -64,9 +66,10 @@
    * Debian 6.0 Squeeze
    * Debian 7 Wheezy
    * Debian 8 Jessie
-   * Debian 9 Stretch (under development)
-   * Debian 10 Buster (future release name)
+   * Debian 9 Stretch
+   * Debian 10 Buster (under development)
    * Debian 11 Bullseye (future release name)
+   * Debian 12 Bookworm (future release name)
    * Debian Sid (Unstable)
    * Ubuntu 6.06 Dapper Drake (LTS)
    * Ubuntu 6.10 Edgy Eft
@@ -90,6 +93,10 @@
    * Ubuntu 15.10 Wily Werewolf
    * Ubuntu 16.04 Xenial Xerus (LTS)
    * Ubuntu 16.10 Yakkety Yak
-   * Ubuntu 17.04 Zesty Zapus (preliminary support, under development)
+   * Ubuntu 17.04 Zesty Zapus
+   * Ubuntu 17.10 Artful Aardvark
+   * Ubuntu 18.04 Bionic Beaver (LTS)
+   * Ubuntu 18.10 Cosmic Cuttlefish
+   * Ubuntu 19.04 Disco Dingo (preliminary support, under development)
    * CentOS 5
    * CentOS 6

=== debian/watch ===
--- 
+++ 
@@ -12,5 +12,5 @@
 # to match release tarballs.
 #
 opts=pgpsigurlmangle=s/$/.asc/ \
-http://xen-tools.org/software/xen-tools/releases.html \
+https://xen-tools.org/software/xen-tools/releases.html \
    xen-tools-([\d\.]+)\.tar\.gz

## xen-tools 4.9

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMPDIR     ?= /tmp
 DIST_PREFIX = ${TMPDIR}
-VERSION     = 4.8
+VERSION     = 4.9
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git
@@ -132,6 +132,7 @@
 	cp bin/xen-delete-image     ${prefix}/usr/bin
 	cp bin/xen-list-images      ${prefix}/usr/bin
 	cp bin/xen-update-image     ${prefix}/usr/bin
+	cp bin/xen-resize-guest     ${prefix}/usr/bin
 	cp bin/xt-guess-suite-and-mirror ${prefix}/usr/bin
 	chmod 755 ${prefix}/usr/bin/xen-create-image
 	chmod 755 ${prefix}/usr/bin/xen-create-nfs
@@ -184,6 +185,7 @@
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d buster.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d bullseye.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d bookworm.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d trixie.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d sid.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d unstable.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s debian.d testing.d
@@ -224,6 +226,10 @@
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d bionic.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d cosmic.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d disco.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d eoan.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d focal.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d groovy.d
+	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d hirsute.d
 	-cd ${prefix}/usr/share/xen-tools/ && ln -s artful.d devel.d
 	cp hooks/common.sh ${prefix}/usr/share/xen-tools
 	cp -r hooks/common ${prefix}/usr/share/xen-tools
@@ -288,13 +294,15 @@
 #
 #  Run the test suite.
 #
+test-verbose : VERBOSE = -v
+test-verbose: test
 test: non-author-test author-test
 
 non-author-test: update-modules
-	prove --shuffle t/
+	prove $(VERBOSE) --shuffle t/
 
 author-test:
-	prove xt/
+	prove $(VERBOSE) xt/
 
 
 #
@@ -318,12 +326,3 @@
 	rm -f ${prefix}/usr/bin/xen-update-image
 	rm -f ${prefix}/usr/bin/xt-customize-image
 	rm -f ${prefix}/usr/bin/xt-install-image
-	rm -f ${prefix}/usr/bin/xt-create-xen-config
-	rm -f ${prefix}/usr/bin/xen-create-nfs
-	rm -f ${prefix}/usr/bin/xt-guess-suite-and-mirror
-	rm -f ${prefix}/etc/xen-tools/xen-tools.conf
-	rm -f ${prefix}/etc/xen-tools/distributions.conf
-	rm -f ${prefix}/etc/xen-tools/mirrors.conf
-	rm -f ${prefix}/etc/xen-tools/xm.tmpl
-	-rm -rf ${prefix}/etc/xen-tools/skel
-	-rmdir ${prefix}/etc/xen-tools/

=== debian/changelog ===
xen-tools (4.9-1) unstable; urgency=medium

  * New upstream bugfix and minor feature release.
    + Mark Debian 7 Wheezy and 8 Jessie as EoL.
    + Update list of Ubuntu and Debian releases.
    + distributions.conf: Fix typo in release name of future Debian 12
      release (bookwork → bookworm).
    + Actually install xen-resize-guest tool. (Thanks lintian for the
      spare-manual-page warning!)
    + Distinguish between those Debian releases using $dist/updates for
      security updates and those who use $dist-security. Thanks Paul Wise!
      (Closes: #972749)
      - Add test for this; needs libtest-file-contents-perl as build-dep.
    + Fix support for lvm_thin. Thanks to Andreas Sundstrom for the bug
      report and patch! (Closes: #942244)
    + Mount /proc and /dev before calling update-grub. Thanks to Brandon
      Bradley for the bug report and patch. (Closes: #815021)
    + Add Debian install rules for arm64. (GH #62; patch by Ian McLinden)
    + Add netplan p2p support for Ubuntu. (GH #58; patch by Volker Janzen)
    + Fix storage commandline options not overriding xen-tools.conf
      settings also in xen-update-image and xen-delete-image. (GH #57;
      patch by Volker Janzen)
    + partitions/sample-server: Change options=sync to
      options=defaults. (GL MR !1; patch by Wolfgang Karall)
    + Start all Debian releases since Stretch (9) with pygrub by default.

  * Recommend deboootstrap ≥ 1.0.117~ for working bootstrapping of Ubuntu
    6.06 Dapper and 6.10 Edgy (see #659360) and for support of Ubuntu
    17.10 Artful, 18.04 LTS Bionic, 18.10 Cosmic, 19.04 Disco, 19.10 Eoan,
    and 20.04 Focal.
  * Fix non-RFC-conforming four-letter day of week abbreviations in
    ancient debian/changelog entries.
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.5.1. (No changes required.)
  * Adapt distributions.conf defaults to the fact that Debian Unstable
    still ships Ubuntu keyrings as of 2018, see #978438.

 -- Axel Beckert <abe@debian.org>  Tue, 29 Dec 2020 12:19:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                devscripts,
                git,
                libdata-validate-domain-perl,
@@ -13,11 +13,12 @@
                liblog-message-perl | perl (<< 5.17.0),
                libterm-ui-perl | perl (<< 5.17.0),
                libsort-versions-perl,
+               libtest-file-contents-perl,
                libtest-notabs-perl,
                libtest-pod-coverage-perl,
                libtest-pod-perl,
                libtext-template-perl
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://xen-tools.org/software/xen-tools
 Vcs-Browser: https://github.com/xen-tools/xen-tools
 Vcs-Git: https://github.com/xen-tools/xen-tools.git
@@ -40,6 +41,7 @@
          ${misc:Depends},
          ${perl:Depends}
 Recommends: debian-archive-keyring,
+            debootstrap (>= 1.0.117~),
             e2fsprogs,
             libexpect-perl,
             lvm2,
@@ -67,9 +69,10 @@
    * Debian 7 Wheezy
    * Debian 8 Jessie
    * Debian 9 Stretch
-   * Debian 10 Buster (under development)
-   * Debian 11 Bullseye (future release name)
-   * Debian 12 Bookworm (future release name)
+   * Debian 10 Buster
+   * Debian 11 Bullseye (under development)
+   * Debian 12 Bookworm (knows about this future release name)
+   * Debian 13 Trixie (knows about this future release name)
    * Debian Sid (Unstable)
    * Ubuntu 6.06 Dapper Drake (LTS)
    * Ubuntu 6.10 Edgy Eft
@@ -97,6 +100,10 @@
    * Ubuntu 17.10 Artful Aardvark
    * Ubuntu 18.04 Bionic Beaver (LTS)
    * Ubuntu 18.10 Cosmic Cuttlefish
-   * Ubuntu 19.04 Disco Dingo (preliminary support, under development)
+   * Ubuntu 19.04 Disco Dingo
+   * Ubuntu 19.10 Eoan Ermine
+   * Ubuntu 20.04 Focal Fossa (LTS)
+   * Ubuntu 20.10 Groovy Gorilla
+   * Ubuntu 21.04 Hirsute Hippo (preliminary support, under development)
    * CentOS 5
    * CentOS 6

## xen-tools 4.9.1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 TMPDIR     ?= /tmp
 DIST_PREFIX = ${TMPDIR}
-VERSION     = 4.9
+VERSION     = 4.9.1
 DEBVERSION  = $(shell echo $(VERSION)|sed 's/\(rc\|pre\|beta\|alpha\)/~\1/')
 BASE        = xen-tools
 VCS         = git
@@ -270,6 +270,7 @@
 #
 release: orig-tar-gz
 	gpg --armour --detach-sign ../$(BASE)-$(VERSION).tar.gz
+	cp -p ../$(BASE)-$(VERSION).tar.gz.asc ../$(BASE)_$(DEBVERSION).orig.tar.gz.asc
 	git tag -s -m "Release as $(VERSION)" "release-$(VERSION)"
 
 tarball: test tidy fixup-perms update-version update-modules clean changelog
@@ -324,5 +325,3 @@
 	rm -f ${prefix}/usr/bin/xen-delete-image
 	rm -f ${prefix}/usr/bin/xen-list-images
 	rm -f ${prefix}/usr/bin/xen-update-image
-	rm -f ${prefix}/usr/bin/xt-customize-image
-	rm -f ${prefix}/usr/bin/xt-install-image

=== t/Makefile ===

all:
	@cd ..; prove --shuffle t/

verbose:
	@cd ..; prove --shuffle --verbose t/


modules: modules.sh
	./modules.sh > modules.t
	chmod 750 modules.t

clean:
	rm -vf *~ modules.t

=== debian/changelog ===
xen-tools (4.9.1-1) unstable; urgency=medium

  * New upstream bugfix release.
    + Fix missing "|" in regex in Debian's 20-setup-apt. (Closes: #997668)
    + Make test xt/gitignore.t work with git releases ≥ 2.32.0.
    + Travis CI: stop testing again Perl "dev". It no more seems to exist.
    + Also create an .orig.tar.xz signature upon "make release".
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Oct 2021 05:38:40 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libtest-pod-coverage-perl,
                libtest-pod-perl,
                libtext-template-perl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://xen-tools.org/software/xen-tools
 Vcs-Browser: https://github.com/xen-tools/xen-tools
 Vcs-Git: https://github.com/xen-tools/xen-tools.git
